# 5.5. MAINTAINER

5.5. `MAINTAINER`
Prev | Chapter 5. Configuring the Makefile | Next

## 5.5. `MAINTAINER`

Set your mail-address here. Please. :-)

Note that only a single address without the comment part is allowed as a `MAINTAINER` value. The format used should be `user@hostname.domain`. Please do not include any descriptive text such as your real name in this entry—that merely confuses `bsd.port.mk`.

The maintainer is responsible for keeping the port up to date, and ensuring the port works correctly. For a detailed description of the responsibilities of a port maintainer, refer to the The challenge for port maintainers section.

Changes to the port will be sent to the maintainer of a port for review and approval before being committed. If the maintainer does not respond to an update request after two weeks (excluding major public holidays), then that is considered a maintainer timeout, and the update may be made without explicit maintainer approval. If the maintainer does not respond within three months, then that maintainer is considered absent without leave, and can be replaced as the maintainer of the particular port in question. Exceptions to this are anything maintained by the Ports Management Team `<portmgr@FreeBSD.org>`, or the Security Officer Team `<security-officer@FreeBSD.org>`. No unauthorized commits may ever be made to ports maintained by those groups.

We reserve the right to modify the maintainer's submission to better match existing policies and style of the Ports Collection without explicit blessing from the submitter. Also, large infrastructural changes can result in a port being modified without the maintainer's consent. These kinds of changes will never affect the port's functionality.

The Ports Management Team `<portmgr@FreeBSD.org>` reserves the right to revoke or override anyone's maintainership for any reason, and the Security Officer Team `<security-officer@FreeBSD.org>` reserves the right to revoke or override maintainership for security reasons.

Prev | Up | Next
5.4. The Distribution Files | Home | 5.6. `COMMENT`

This, and other documents, can be downloaded from http://ftp.FreeBSD.org/pub/FreeBSD/doc/

For questions about FreeBSD, read the documentation before contacting <questions@FreeBSD.org>.
For questions about this documentation, e-mail <doc@FreeBSD.org>.